Package ru.bitel.bgbilling.kernel.base.phone.server.bean

# Class CostMapManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<CostMap>
ru.bitel.bgbilling.kernel.base.phone.server.bean.CostMapManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `Directory<CostMap>`

    public class CostMapManager
    extends ru.bitel.common.dao.AbstractIdDao<CostMap>
    implements Directory<CostMap>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CostMapManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteItem​(int costMapId, java.lang.String code)` |
  `java.lang.String` | `exportMap​(int costMapId, java.lang.String code)` |
  `CostMap` | `get​(java.lang.String title)` | Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
  `protected CostMap` | `getFromRS​(java.sql.ResultSet rs)` |
  `CostMapItem` | `getTree​(int costMapId, boolean destination)` |
  `void` | `importMap​(int costMapId, java.lang.String data, java.lang.String prfx, boolean update)` |
  `java.util.List<CostMap>` | `list()` | Получение всего списка элементов из справочника
  `java.util.List<CostMap>` | `list​(java.lang.String orderBy)` |
  `protected void` | `updateImpl​(CostMap b)` |
  `void` | `updateItem​(int costMapId, CostMapItem item)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.bgbilling.kernel.directory.api.common.bean.Directory

  `delete, get, update`

- ## Constructor Details

  - ### CostMapManager

    public CostMapManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getFromRS

    protected CostMap getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<CostMap>`
    Throws:
      `java.sql.SQLException`

  - ### updateImpl

    protected void updateImpl​(CostMap b) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<CostMap>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### list

    public java.util.List<CostMap> list​(java.lang.String orderBy) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<CostMap> list() throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение всего списка элементов из справочника
    Specified by:
      `list` in interface `Directory<CostMap>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public CostMap get​(java.lang.String title) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Directory`
    Получение элемента по title(name) Может быть не имплементировано - в этом случае бросается `UnsupportedOperationException`
    Specified by:
      `get` in interface `Directory<CostMap>`
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getTree

    public CostMapItem getTree​(int costMapId, boolean destination) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateItem

    public void updateItem​(int costMapId, CostMapItem item) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteItem

    public void deleteItem​(int costMapId, java.lang.String code) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### importMap

    public void importMap​(int costMapId, java.lang.String data, java.lang.String prfx, boolean update) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### exportMap

    public java.lang.String exportMap​(int costMapId, java.lang.String code) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`